Bug 49735 - No GUI while trying to run Xserver (RedHat 7.2B2) from DL380 with the RIB Card installed
No GUI while trying to run Xserver (RedHat 7.2B2) from DL380 with the RIB Ca...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-23 12:32 EDT by Bryan Leopard
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-10 00:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-07-23 12:32:10 EDT
DL380, P17 (4/2/01)
Int. Smart Array Controller as the Boot Controller
CPQ Dual Channel Ultra SCSI (Slot 2)
CPQ Single Channel Ultra SCSI (Slot 3)
RIB 2.3 (Slot 4)  (Compaq Remote Insight Board)

RedHat 7.2 Beta 2

No GUI while trying to run  Xserver from DL380 with the RIB Card.

1. Install the OS from CD
2. Run Setup and Config the Xserver
3. Run startx <-- No GUI
4. Remove the RIB Card from the Server
5. Run startx <--  GUI works fine
Comment 1 Michael Fulbright 2001-07-23 14:38:17 EDT
Brent please try to reproduce.
Comment 2 Brent Fox 2001-07-23 15:26:03 EDT
We don't have a RIB board in our test lab.  Can we make arrangements to get one?  

Did text mode work?
Comment 3 Bryan Leopard 2001-07-23 17:08:14 EDT
bfox - where are you located?  If you are in Raleigh/Durham then there should 
be at least one RIB card there.  You can probably talk to Pat Rago about where 
it might be.  If not, let me know where you are and I can see if I have an 
extra one.
Comment 4 Brent Fox 2001-07-23 21:04:55 EDT
I'm in the Durham office.  Pat, do we have one of these cards available?  I
talked to the QA team in the test lab and they said they didn't have one.
Comment 5 Bryan Leopard 2001-07-30 14:52:46 EDT
Yes, text mode works.
Comment 6 Michael Fulbright 2001-08-01 15:01:36 EDT
Does this board look like a PCI video card, and if so, what is it?
Comment 7 Bryan Leopard 2001-08-01 16:51:32 EDT
yes, it kind of looks like a PCI video card.  It is a card that allows a user 
to view into the system remotely.  It has a video port, a network port, and 
either a serial port or modem (depending on the model).  This card has it's own 
power and logs.  You can actually watch the system reboot remotely, so you can 
see it count the memory, the processors, spin up the scsi drives, etc...  
Anyway, the video controller in it is an ATI (I think rage IIc).  You can get 
more specs on it at http://www.compaq.com/manage/remote-lightsout.html

I know that if you look at the support page, it doesn't list Linux.  That is 
why I am trying to get this fixed.
Comment 8 Brent Fox 2001-08-02 15:58:39 EDT
Ok, I have one of these cards now.  I'll take a look at the problem tomorrow.
Comment 9 Brent Fox 2001-08-03 12:00:40 EDT
Ok, I'm working on this now.  I've installed the board into a DL360.  You're
saying that the GUI works during the installer but then you can't start X after

Also, did you do the install remotely?  Right now, I just have the monitor
plugged up to the video out on the RIB board.
Comment 10 Brent Fox 2001-08-03 12:18:17 EDT
With Beta 3, starting X works after installation.  Have you tried beta 3 and if
so, do you still see these problems?
Comment 11 Bryan Leopard 2001-08-09 09:58:37 EDT
This still happens with Beta 3.  Try connecting the monitor into the video out 
on the system, not the RIB.  The installation is from CD.
Comment 12 Brent Fox 2001-08-10 00:16:57 EDT
When I connect the monitor to the onboard video (not the RIB card), I don't get
a video signal at all.  Nothing...not even the ProLiant bios bootup screen.
Comment 13 Bryan Leopard 2001-08-16 10:06:55 EDT
The engineer has gone back and tested and now cannot reproduce this with beta 
3.  So, I am closing it.

Note You need to log in before you can comment on or make changes to this bug.